org.apache.tomcat.jni

## Interface CertificateVerifier

-     public interface CertificateVerifier

  Is called during handshake and hooked into openssl via `SSL_CTX_set_cert_verify_callback`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `verify(long ssl, byte[][] x509, String authAlgorithm)` Returns `true` if the passed in certificate chain could be verified and so the handshake should be successful, `false` otherwise.

- - ### Method Detail

    - #### verify

          boolean verify(long ssl,
                       byte[][] x509,
                       String authAlgorithm)

      Returns `true` if the passed in certificate chain could be verified and so the handshake should be successful, `false` otherwise.
      Parameters:
        `ssl` - the SSL instance
        `x509` - the `X509` certificate chain
        `authAlgorithm` - the auth algorithm
      Returns:
        verified `true` if verified successful, `false` otherwise

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.